#Entwickler: Martin Mittrenga, Nico Hessler, Mahdi Hassan Zadeh


#Thema: Das Haus vom Nikolaus
#Aufgabe: Schreiben Sie ein GUI-Programm, dass alle Loesungen des Hauses vom Nikolaus findet und zeichnet



              			#importieren saemtlicher Module
import sys
import os
import random as rdm
import time as ti       #Modul der Zeit einlesen
from Tkinter import *	#Alle Module von Tkinter fuer GUI
import Tkinter as tk
import turtle			#Modul zum zeichnen




def menu():	#Funktion Menu wird ganz am Ende des Programmes als erstes geladen, ohne irgendeiner Eingabe
	os.system("clear")
	print "Herzlich willkommen beim Loesungsberechner des Haus vom Nikolaus"
        print "-"*50
        print "1.Loesung zeigen"
        print "2.Mitwirkende"
        print "3.Hilfe"
        print "4.Beenden"

        while True:
    		try:
			print "-"*50
			menuauswahl=int(raw_input("Bitte tippen Sie einen der folgenden Menuepunkte ein: "))
    	              	if menuauswahl>4:print"Falsche Eingabe!"
			return menuauswahl #raussprung aus der Verzweigung und der Schleife mit uebergabe der variable an die Funktion
		except ValueError:
			print
        		print("Fehler. Bitte '1', '2', '3' oder '4' eingeben.")




def mitwirkende():
	os.system('clear') #leeren des Bildschirms
	print("Martin Mittrenga, Nico Hessler und Mahdi Hassan Zadeh.")
	print
	print
	raw_input("Mit 'Enter' gelangen Sie zurueck in das Hauptmenue.")






def hilfe():
	os.system('clear') #leeren des Bildschirms
	print "In unserem Programm werden die verschiedensten Loesungen des Haus vom"
	print "Nikolaussauses dargestellt. Der Startpunkt ist immer Ecke 1 (Abbildung"
	print "folgt nach 'Enter' betaetigung) des Nikohauses. Dabei kommen ingesamt"
	print "44 Loesungen zustande. Unter Loesung 45 kann manuell gezeichnet werden."
	print
	print
	raw_input("Bitte 'Enter' druecken um eine Abbildung zu erhalten:")
	root = Tk()	#initialisierung #lieferung von titelleiste und dekorationen fuer fenstermanager																	#Hauptfenster von Tkinter
	root.title("Hilfefenster")

	logo = PhotoImage(file="bild2.png")
	w1 = Label(root,image=logo)
	w1.pack() #wichtig fuer einbettung

	def ende():
		root.destroy()

	tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)

	root.mainloop() #wichtig, sonst wird das Label nicht angezeigt
	print
	print
	raw_input("Mit 'Enter' gelangen Sie zurueck in das Hauptmenue.")







def spiel():

	eingabe=0

	os.system('clear') #leeren des Bildschirmes
	while True:					#Endlosschleife bis zur Auswahl der Kaesten
                try:
                        print "-"*50
                        eingabe=int(raw_input("Welche Loesung bis '44' soll angezeigt werden? ('45' = mauelle Zeichnung): "))
                       	break 				#unmittelbare Schleife wird verlassen
                except ValueError:
                    	print ("Fehler. Sie haben keine Zahl eingegeben. Bitte eine Zahl eingeben.")



############################################################################################################################

	if eingabe==1:

		def start():

			t.reset()
			t.pensize(3)

			t.forward(100)
			t.left(90)
			t.forward(100)
			t.right(45)
			t.back(140)
			t.right(90)
			t.right(45+180)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.left(90+45)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(90)
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 1. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==2:

		def start():

			t.reset()
			t.pensize(3)

			t.forward(100)
			t.left(90)
			t.forward(100)
			t.right(45)
			t.back(140)
			t.right(90)
			t.right(45+180)
			t.forward(100)
			t.right(45)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(90+45)
			t.forward(100)
			t.left(90+45)
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 2. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==3:

		def start():

			t.reset()
			t.pensize(3)

			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90+45)
			t.forward(140)
			t.left(45+45)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(90)
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 3. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==4:

		def start():

			t.reset()
			t.pensize(3)

			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.right(45+90)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(90)
			t.forward(140)
			t.right(45+90)
			t.forward(100)
			t.right(90+45)
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 4. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==5:

		def start():

			t.reset()
			t.pensize(3)

			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(45)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(45)
			t.forward(100)
			t.left(90+45)
			t.forward(140)
			t.left(90+45)
			t.forward(100)
			t.left(90+45)
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 5. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==6:

		def start():

			t.reset()
			t.pensize(3)

			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(45)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(45+90)
			t.forward(100)
			t.right(45+45+45)
			t.forward(140)
			t.right(90+45)
			t.forward(100)
			t.right(45+90)
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 6. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==7:

		def start():

			t.reset()
			t.pensize(3)

			t.forward(100)
			t.right(45+180)
			t.forward(140)
			t.left(45+90)
			t.forward(100)
			t.left(90+45)
			t.forward(140)
			t.left(90+45)
			t.forward(100)
			t.right(45+90)
			t.forward(70)
			t.right(45+45)
			t.forward(70)
			t.right(45)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 7. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==8:

		def start():

			t.reset()
			t.pensize(3)

			t.forward(100)
			t.right(45+180)
			t.forward(140)
			t.left(45+90)
			t.forward(100)
			t.left(90+45)
			t.forward(140)
			t.left(90)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(45+90)
			t.forward(100)
			t.right(90)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 8. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==9:

		def start():

			t.reset()
			t.pensize(3)

			t.forward(100)
			t.right(45+180)
			t.forward(140)
			t.left(45+180)
			t.forward(100)
			t.right(90+45)
			t.forward(140)
			t.right(90+45)
			t.forward(100)
			t.right(45)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(45)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 9. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==10:

		def start():

			t.reset()
			t.pensize(3)

			t.forward(100)
			t.right(45+180)
			t.forward(140)
			t.left(45+180)
			t.forward(100)
			t.left(90+45)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(45)
			t.forward(100)
			t.left(90+45)
			t.forward(140)
			t.left(45+180)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 10. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==11:

		def start():

			t.reset()
			t.pensize(3)

			t.forward(100)
			t.right(45+180)
			t.forward(140)
			t.right(90)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(90)
			t.forward(140)
			t.left(45+180)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.right(90)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 11. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==12:

		def start():

			t.reset()
			t.pensize(3)

			t.forward(100)
			t.right(45+180)
			t.forward(140)
			t.right(90)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(45+90)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(45+90)
			t.forward(140)
			t.right(45+90)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 12. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==13:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.right(45+90)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.left(45+90)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(90)
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 13. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==14:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.right(45+90)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.right(45)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(90+45)
			t.forward(100)
			t.left(45+90)
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 14. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==15:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.right(45+90)
			t.forward(100)
			t.right(90+45)
			t.forward(140)
			t.right(45+90)
			t.forward(100)
			t.left(45+90)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(45)
			t.forward(100)
			t.left(90)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 15. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==16:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.right(45+90)
			t.forward(100)
			t.right(90+45)
			t.forward(140)
			t.right(90)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(90+45)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 16. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==17:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.left(45+90)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(45)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(90)
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 17. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==18:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.left(45+90)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90+45)
			t.forward(140)
			t.right(90)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(45)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 18. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==19:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.left(45+90)
			t.forward(100)
			t.left(90+45)
			t.forward(140)
			t.right(45+90)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.right(45)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(45)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 19. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==20:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.left(45+90)
			t.forward(100)
			t.left(90+45)
			t.forward(140)
			t.right(45+180)
			t.forward(100)
			t.left(45)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(45)
			t.forward(100)
			t.left(90)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 20. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==21:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.left(45+90)
			t.forward(100)
			t.right(45+90)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(45)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.right(90+45)
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 21. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==22:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.left(45+90)
			t.forward(100)
			t.right(45+90)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(45)
			t.forward(100)
			t.right(45+90)
			t.forward(140)
			t.right(45+180)
			t.forward(100)
			t.left(90)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 22. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==23:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.left(90)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(45)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90+45)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 23. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==24:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.left(90)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(45)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90+45)
			t.forward(140)
			t.right(45+90)
			t.forward(100)
			t.right(90)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 24. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==25:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.left(90)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(90)
			t.forward(140)
			t.right(90+45)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.right(90)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 25. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==26:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.left(90)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(90)
			t.forward(140)
			t.left(90+45)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 26. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==27:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.left(90)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(90+45)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.right(90+45)
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 27.Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==28:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.left(90)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(90+45)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.left(45+180)
			t.forward(140)
			t.left(90+45)
			t.forward(100)
			t.left(90)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 28. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==29:

		def start():

			t.reset()
			t.pensize(3)

			t.left(90)
			t.forward(100)
			t.right(90+45)
			t.forward(140)
			t.right(90+45)
			t.forward(100)
			t.right(90+45)
			t.forward(140)
			t.left(90+45)
			t.forward(100)
			t.right(45+90)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(45)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 29. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==30:

		def start():

			t.reset()
			t.pensize(3)

			t.left(90)
			t.forward(100)
			t.right(90+45)
			t.forward(140)
			t.right(90+45)
			t.forward(100)
			t.right(90+45)
			t.forward(140)
			t.left(90)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(90+45)
			t.forward(100)
			t.right(90)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 30. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==31:

		def start():

			t.reset()
			t.pensize(3)

			t.left(90)
			t.forward(100)
			t.right(45+90)
			t.forward(140)
			t.left(90+45)
			t.forward(100)
			t.left(45)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(90+45)
			t.forward(100)
			t.right(90+45)
			t.forward(140)
			t.left(90+45)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 31. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==32:

		def start():

			t.reset()
			t.pensize(3)

			t.left(90)
			t.forward(100)
			t.right(90+45)
			t.forward(140)
			t.left(90+45)
			t.forward(100)
			t.left(45)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(90+45)
			t.forward(100)
			t.right(90+45)
			t.forward(140)
			t.left(90+45)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 32. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==33:

		def start():

			t.reset()
			t.pensize(3)

			t.left(90)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.right(90+45)
			t.forward(140)
			t.left(90+45)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(45)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(90)
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 33. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==34:

		def start():

			t.reset()
			t.pensize(3)

			t.left(45)
			t.forward(140)
			t.left(45+45)
			t.forward(70)
			t.left(90)
			t.forward(70)
			t.left(45)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.left(90)
			t.forward(100)
			t.right(45+180)
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 34. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==35:

		def start():

			t.reset()																	#zuruecksetzen vom Turtlefenster
			t.pensize(3)																#Stiftgroesse 3

			t.forward(100),																#Zeichnung der Loesung
			t.left(90),
			t.forward(100),
			t.right(45),
			t.back(140),
			t.right(90),
			t.right(45+180),
			t.forward(100),
			t.right(90),
			t.forward(100),
			t.left(90+45),
			t.forward(70),
			t.left(90),
			t.forward(70),
			t.left(90),
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 35. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==36:

		def start():

			t.reset()																	#zuruecksetzen vom Turtlefenster
			t.pensize(3)																#Stiftgroesse 3

			t.forward(100),																#Zeichnung der Loesung
			t.left(90),
			t.forward(100),
			t.right(45),
			t.back(140),
			t.right(90),
			t.right(45+180),
			t.forward(100),
			t.right(90),
			t.forward(100),
			t.left(90+45),
			t.forward(70),
			t.left(90),
			t.forward(70),
			t.left(90),
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 36. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==37:

		def start():

			t.reset()																	#zuruecksetzen vom Turtlefenster
			t.pensize(3)																#Stiftgroesse 3

			t.forward(100),																#Zeichnung der Loesung
			t.left(90),
			t.forward(100),
			t.right(45),
			t.back(140),
			t.right(90),
			t.right(45+180),
			t.forward(100),
			t.right(90),
			t.forward(100),
			t.left(90+45),
			t.forward(70),
			t.left(90),
			t.forward(70),
			t.left(90),
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 37. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==38:

		def start():

			t.reset()																	#zuruecksetzen vom Turtlefenster
			t.pensize(3)																#Stiftgroesse 3

			t.forward(100),																#Zeichnung der Loesung
			t.left(90),
			t.forward(100),
			t.right(45),
			t.back(140),
			t.right(90),
			t.right(45+180),
			t.forward(100),
			t.right(90),
			t.forward(100),
			t.left(90+45),
			t.forward(70),
			t.left(90),
			t.forward(70),
			t.left(90),
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 38. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==39:

		def start():

			t.reset()																	#zuruecksetzen vom Turtlefenster
			t.pensize(3)																#Stiftgroesse 3

			t.forward(100),																#Zeichnung der Loesung
			t.left(90),
			t.forward(100),
			t.right(45),
			t.back(140),
			t.right(90),
			t.right(45+180),
			t.forward(100),
			t.right(90),
			t.forward(100),
			t.left(90+45),
			t.forward(70),
			t.left(90),
			t.forward(70),
			t.left(90),
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 39. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==40:

		def start():

			t.reset()
			t.pensize(3)

			t.left(90)
			t.forward(100)
			t.right(45)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(90)
			t.forward(140)
			t.left(135)
			t.forward(100)
			t.left(135)
			t.forward(140)
			t.right(135)
			t.forward(100)
			t.right(90)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 40. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==41:

		def start():

			t.reset()
			t.pensize(3)

			t.left(90)
			t.forward(100)
			t.right(45)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(45)
			t.forward(100)
			t.right(90)
			t.forward(100)
			t.right(135)
			t.forward(140)
			t.left(135)
			t.forward(100)
			t.left(135)
			t.forward(140)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 41. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==42:

		def start():

			t.reset()
			t.pensize(3)

			t.left(90)
			t.forward(100)
			t.right(45)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(45)
			t.forward(100)
			t.right(135)
			t.forward(140)
			t.right(135)
			t.forward(100)
			t.right(135)
			t.forward(140)
			t.left(135)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 42. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==43:

		def start():

			t.reset()
			t.pensize(3)

			t.left(90)
			t.forward(100)
			t.right(45)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(135)
			t.forward(100)
			t.left(135)
			t.forward(140)
			t.right(135)
			t.forward(100)
			t.right(135)
			t.forward(140)
			t.right(135)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 43. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==44:

		def start():

			t.reset()
			t.pensize(3)

			t.left(90)
			t.forward(100)
			t.right(45)
			t.forward(70)
			t.right(90)
			t.forward(70)
			t.right(135)
			t.forward(100)
			t.left(135)
			t.forward(140)
			t.left(135)
			t.forward(100)
			t.left(135)
			t.forward(140)
			t.left(135)
			t.forward(100)


		def ende():

			root.destroy()


		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, das ist die 44. Loesung des Nikohauses:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Start", command = start).pack(side = tk.LEFT)    #Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	elif eingabe==45:

		def forward():
			t.pensize(3)
			t.forward(100)																#Zeichnung der manuellen Loesungen

		def forwardroof():
			t.pensize(3)
			t.forward(70)

		def forwardcross():
			t.pensize(3)
			t.forward(140)

		def back():
			t.pensize(3)
			t.back(100)

		def backroof():
			t.pensize(3)
			t.back(70)

		def backcross():
			t.pensize(3)
			t.back(140)

		def left45grad():
			t.pensize(3)
			t.left(45)

		def left90grad():
			t.pensize(3)
			t.left(90)

		def right45grad():
			t.pensize(3)
			t.right(45)

		def right90grad():
			t.pensize(3)
			t.right(90)

		def ende():
			root.destroy()



		root = Tk()																		#Hauptfenster von Tkinter
		root.title("Das Haus vom Nikolaus")
		root.configure(background="white")

		w1 = Label(root,justify=LEFT,padx = 10,text="Hallo, hier kann eine manuelle Loesung gezeichnet werden:",underline=0,fg = "black", font = "Tahoma", background="white")   #justify parameter um komplettes element zu positionieren #padx fuer horizontaler Richtung links oder rechts dem label zusaetzlicher raum #fg fuer farbe und font fuer schriftart
		w1.pack(side="top") #wichtig fuer einbettung

		canvas = tk.Canvas(root, width = 400, height = 400)								  #grosse des Turtlefensters
		canvas.pack()

		t = turtle.RawTurtle(canvas)													  #Fenster fuer die darstellung von Turtle und Tkinter in einem Fesnter

		tk.Button(master = root, text = "Vorwaerts", command = forward).pack(side = tk.LEFT)    				#Anzeigebuttons unten im Fenster
		tk.Button(master = root, text = "Vorwaerts Dach", command = forwardroof).pack(side = tk.LEFT)
		tk.Button(master = root, text = "Vorwaerts Diagonale", command = forwardcross).pack(side = tk.LEFT)
		tk.Button(master = root, text = "Rueckwaerts", command = back).pack(side = tk.LEFT)
		tk.Button(master = root, text = "Rueckwaerts Dach", command = backroof).pack(side = tk.LEFT)
		tk.Button(master = root, text = "Rueckwaerts Diagonale", command = backcross).pack(side = tk.LEFT)
		tk.Button(master = root, text = "Links 45 Grad", command = left45grad).pack(side = tk.LEFT)
		tk.Button(master = root, text = "Links 90 Grad", command = left90grad).pack(side = tk.LEFT)
		tk.Button(master = root, text = "Rechts 45 Grad", command = right45grad).pack(side = tk.LEFT)
		tk.Button(master = root, text = "Rechts 90 Grad", command = right90grad).pack(side = tk.LEFT)
		tk.Button(master = root, text = "Ende", command = ende).pack(side = tk.LEFT)


		root.mainloop()																	#Hauptfenster wird geschlossen

############################################################################################################################

	else:
		print "Falsch Eingabe."





                      ########### #Steuerung und Abfragen im Menu############
bed= True
while True:
	menu1=menu()
	if menu1==1:
	  	spiel()
   		print
		print
		while True:
			eingabe=raw_input("Zurueck ins Hauptmenue um neue Loesung auszugeben? Bitte 'J' oder 'N' eingeben: ") #nachdem die erste Funktion mit Berechnung durchgefuehrt wurde, wird anschliessend nach einer neuen Berechung gefragt mit Eingabemoeglichkeit
			if eingabe=="N":
				bed= False
				break							#Raussprung aus Schleife
			elif eingabe=="J":
				break							#Raussprung aus Schleife - Funktion spiel() wird erneut gestartet
			else:
				print"Falsche Eingabe!"					#Erneute Eingabe
		if bed==False:break							#Bei Antwort 'N' wurde Variable gleich false gesetzt. Raussprung aus der kompletten While-Schleife. Programm ist beendet
	elif menu1==2:
		mitwirkende()
	elif menu1==3:
		hilfe()
	elif menu1==4:
		while True:											#Sicherheitsabfrage ob wirklich beendet werden soll
			print "-"*50
			eingabe=raw_input("Wollen Sie Wirklich beenden? Bitte 'J' oder 'N' eingeben: ")
			if eingabe=="N":
				bed= False
				break
			elif eingabe=="J":sys.exit()
			else:
				print
				print
				print"Falsche Eingabe!"
